Forums

Resolved
0 votes
ClearOS 7.7.0 for Community has been release. You can read more about this release on the release notes page here:

https://www.clearos.com/resources/documentation/clearos/content:en_us:announcements_releases_clearos_7.7.0_community_release_information

Please post any issues related to this release here. This release merges the kernel back to upstream and brings broad compatibility with a variety of hardware devices that have CentOS or RHEL driver.

If your update get's stuck, you want to manually install and not wait for automated updates and you want to fast track the process, run the following:

yum update app-base
yum clean all
yum update

[edit]
Please note that if you use any of the ElRepo drivers (kmod-*) compiled by Nick Howitt, apart from the kmod-r8168 and kmod-r8169, you will need to install new versions that you can get directly from one of the Elrepo Mirrors
[/edit]
Wednesday, October 16 2019, 03:38 AM
Share this post:
Responses (46)
  • Accepted Answer

    Tuesday, October 29 2019, 08:22 AM - #Permalink
    Resolved
    0 votes
    Hmm. mirrorlist.clearos.com was fixed some 17h ago. Please try a "yum clean all" or wait overnight when the yum cache gets cleaned anyway.
    The reply is currently minimized Show
  • Accepted Answer

    Tuesday, October 29 2019, 07:17 AM - #Permalink
    Resolved
    0 votes
    Nick Howitt wrote:

    @Christoph, a new version of app-base was released yesterday to fix your issue. If you could roll back your VM, you could try upgrading with that if you wanted.


    Hi Nick,
    I tested it on another machine and everything was working as expected. Just needed to wait for the mirrors to be available again.

    Best regards
    Christoph
    The reply is currently minimized Show
  • Accepted Answer

    Monday, October 28 2019, 08:30 AM - #Permalink
    Resolved
    0 votes
    mirrorlist.clearos.com is down again. I did try to contact the team but it was the weekend. They should be back in later today.
    The reply is currently minimized Show
  • Accepted Answer

    Monday, October 28 2019, 06:53 AM - #Permalink
    Resolved
    0 votes
    Hello,

    Yesterday and today all yum on several systems do:

    [root@fw01 ~]# yum update
    Loaded plugins: clearcenter-marketplace, fastestmirror
    ClearCenter Marketplace: fetching repositories...
    Determining fastest mirrors
    Could not retrieve mirrorlist http://mirrorlist.clearos.com/clearos/mirrorlist/clearos-current-os-7 error was
    12: Timeout on http://mirrorlist.clearos.com/clearos/mirrorlist/clearos-current-os-7: (28, 'Operation too slow. Less than 1000 bytes/sec transferred the last 30 seconds')


    One of the configured repositories failed (Unknown),
    and yum doesn't have enough cached data to continue. At this point the only
    safe thing yum can do is fail. There are a few ways to work "fix" this:

    1. Contact the upstream for the repository and get them to fix the problem.

    2. Reconfigure the baseurl/etc. for the repository, to point to a working
    upstream. This is most often useful if you are using a newer
    distribution release than is supported by the repository (and the
    packages for the previous distribution release still work).

    3. Run the command with the repository temporarily disabled
    yum --disablerepo=<repoid> ...

    4. Disable the repository permanently, so yum won't use it by default. Yum
    will then just ignore the repository until you permanently enable it
    again or use --enablerepo for temporary usage:

    yum-config-manager --disable <repoid>
    or
    subscription-manager repos --disable=<repoid>

    5. Configure the failing repository to be skipped, if it is unavailable.
    Note that yum will try to contact the repo. when it runs most commands,
    so will have to try and fail each time (and thus. yum will be be much
    slower). If it is a very temporary problem though, this is often a nice
    compromise:

    yum-config-manager --save --setopt=<repoid>.skip_if_unavailable=true

    Cannot find a valid baseurl for repo: clearos/7


    And get stuck......
    The reply is currently minimized Show
  • Accepted Answer

    Saturday, October 26 2019, 05:23 PM - #Permalink
    Resolved
    0 votes
    We have released app-base-2.8.10-1.v7. It should sync to the repos within 2 hours. It may not fix recent failed installs but it should stop new installs from failing.
    The reply is currently minimized Show
  • Accepted Answer

    Saturday, October 26 2019, 05:07 PM - #Permalink
    Resolved
    0 votes
    @Tux Brothers, mirrorlist.clearos.com went offline for a bit earlier today. That may be the cause. Overnight the automatic updates would do a "yum clean all".
    The reply is currently minimized Show
  • Accepted Answer

    Saturday, October 26 2019, 05:07 PM - #Permalink
    Resolved
    0 votes
    Tux Brothers GFORCE1 wrote:


    All seems ok now!


    Also on this side
    The reply is currently minimized Show
  • Accepted Answer

    Saturday, October 26 2019, 03:41 PM - #Permalink
    Resolved
    0 votes
    Since today:

    [root@fw01 ~]# yum update
    Loaded plugins: clearcenter-marketplace, fastestmirror
    ClearCenter Marketplace: fetching repositories...
    Loading mirror speeds from cached hostfile
    ^CCould not retrieve mirrorlist http://mirrorlist.clearos.com/clearos/mirrorlist/clearos-current-updates-7 error was
    14: curl#56 - "Callback aborted"

    I did resolve this with a simple
    yum clean all

    All seems ok now!
    The reply is currently minimized Show
  • Accepted Answer

    Saturday, October 26 2019, 02:33 PM - #Permalink
    Resolved
    0 votes
    I can still not edit posts.., stupid forums...

    What I want to say not sure if you still needed it. Also I want to put my copy paste in between tags but yeah I can't edit...
    The reply is currently minimized Show
  • Accepted Answer

    Saturday, October 26 2019, 02:27 PM - #Permalink
    Resolved
    0 votes
    Here the output of my 7.7 Community VM.

    [clearos-centos]
    name=CentOS-7 - $basearch - Base
    baseurl=http://download1.clearsdn.com/centos/7.7.1908/os/$basearch
    http://download2.clearsdn.com/centos/7.7.1908/os/$basearch
    http://download3.clearsdn.com/centos/7.7.1908/os/$basearch
    http://download4.clearsdn.com/centos/7.7.1908/os/$basearch
    enabled=0
    gpgcheck=1
    exclude=centos-release centos-logos anaconda-* arpwatch cloud-init-* cyrus-imapd-* debugmode grub2-* initscripts iptables-* mokutil-* openldap-* ppp-* rp-pppoe$
    gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-7

    [clearos-centos-fasttrack]
    name=CentOS-7 - $basearch - fasttrack
    baseurl=http://download1.clearsdn.com/centos/7.7.1908/fasttrack/$basearch
    http://download2.clearsdn.com/centos/7.7.1908/fasttrack/$basearch
    http://download3.clearsdn.com/centos/7.7.1908/fasttrack/$basearch
    http://download4.clearsdn.com/centos/7.7.1908/fasttrack/$basearch
    enabled=0
    gpgcheck=1
    exclude=centos-release centos-logos anaconda-* arpwatch cloud-init-* cyrus-imapd-* debugmode grub2-* initscripts iptables-* mokutil-* openldap-* ppp-* rp-pppoe$
    gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-7

    [clearos-centos-updates]
    name=CentOS-7 - $basearch - Updates
    baseurl=http://download1.clearsdn.com/centos/7.7.1908/updates/$basearch
    http://download2.clearsdn.com/centos/7.7.1908/updates/$basearch
    http://download3.clearsdn.com/centos/7.7.1908/updates/$basearch
    http://download4.clearsdn.com/centos/7.7.1908/updates/$basearch
    enabled=0
    gpgcheck=1
    exclude=centos-release centos-logos anaconda-* arpwatch cloud-init-* cyrus-imapd-* debugmode grub2-* initscripts iptables-* mokutil-* openldap-* ppp-* rp-pppoe$
    gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-7

    [clearos-centos-extras]
    name=CentOS-7 - $basearch - Extras
    baseurl=http://download1.clearsdn.com/centos/7.7.1908/extras/$basearch
    http://download2.clearsdn.com/centos/7.7.1908/extras/$basearch
    http://download3.clearsdn.com/centos/7.7.1908/extras/$basearch
    http://download4.clearsdn.com/centos/7.7.1908/extras/$basearch
    enabled=0
    gpgcheck=1
    gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-7

    [clearos-centosplus]
    name=CentOS-7 - $basearch - Plus
    baseurl=http://download1.clearsdn.com/centos/7.7.1908/centosplus/$basearch
    http://download2.clearsdn.com/centos/7.7.1908/centosplus/$basearch
    http://download3.clearsdn.com/centos/7.7.1908/centosplus/$basearch
    http://download4.clearsdn.com/centos/7.7.1908/centosplus/$basearch
    enabled=0
    gpgcheck=1
    gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-7
    The reply is currently minimized Show
  • Accepted Answer

    Saturday, October 26 2019, 12:58 PM - #Permalink
    Resolved
    0 votes
    Anyone with the upgrade issue, please can you post your /etc/yum.repos.d/clearos-centos.repo file?
    The reply is currently minimized Show
  • Accepted Answer

    Saturday, October 26 2019, 10:40 AM - #Permalink
    Resolved
    0 votes
    Nick Howitt wrote:

    I'm seeing the mirrorlist.clearos.com site as down for the moment.


    Also noticed that the mirror was down this morning (and still is).

    I guess Dave is up all night try to fix the problem!
    The reply is currently minimized Show
  • Accepted Answer

    Saturday, October 26 2019, 08:54 AM - #Permalink
    Resolved
    0 votes
    Nick Howitt wrote:

    I'm seeing the mirrorlist.clearos.com site as down for the moment.


    That does not help. I'm glad I was working on a test project instead of something with a hard deadline.
    I'll ping the mirror again in a couple of hours.
    The reply is currently minimized Show
  • Accepted Answer

    Saturday, October 26 2019, 08:46 AM - #Permalink
    Resolved
    0 votes
    I'm seeing the mirrorlist.clearos.com site as down for the moment.
    The reply is currently minimized Show
  • Accepted Answer

    Saturday, October 26 2019, 08:35 AM - #Permalink
    Resolved
    0 votes
    Nick Howitt wrote:

    Dave has indicated there my be a workaround but it requires a fresh install. Can you do the install, then before you do the first-run wizard in the browser, drop to the command line (alt+f2 from the console or use PuTTy) then do a "yum update", ignoring the warnings about not being registered. Then you should be able to proceed with the first-run wizard.


    can not find valid baseurl (see screenshot)
    The reply is currently minimized Show
  • Accepted Answer

    Saturday, October 26 2019, 07:45 AM - #Permalink
    Resolved
    0 votes
    Dave has indicated there my be a workaround but it requires a fresh install. Can you do the install, then before you do the first-run wizard in the browser, drop to the command line (alt+f2 from the console or use PuTTy) then do a "yum update", ignoring the warnings about not being registered. Then you should be able to proceed with the first-run wizard.
    The reply is currently minimized Show
  • Accepted Answer

    Saturday, October 26 2019, 06:37 AM - #Permalink
    Resolved
    0 votes
    Dave Loper wrote:

    What python library does your system report if it gives the wc_repo error?



    I believe the exact same. (see screenshot)
    yum -y update didn't help
    The reply is currently minimized Show
  • Accepted Answer

    Friday, October 25 2019, 11:11 PM - #Permalink
    Resolved
    0 votes
    I’ve got this problem and I’m on community, I’ve tried downloading 7.6.0 and it does the same thing.
    The reply is currently minimized Show
  • Accepted Answer

    Friday, October 25 2019, 08:43 PM - #Permalink
    Resolved
    0 votes
    What python library does your system report if it gives the wc_repo error?

    [root@server clearos]# rpm -qi python-libs

    Name : python-libs
    Version : 2.7.5
    Release : 80.el7_6
    Architecture: x86_64
    Install Date: Fri 25 Oct 2019 04:13:38 PM EDT
    Group : Applications/System
    Size : 24714432
    License : Python
    Signature : RSA/SHA256, Fri 21 Jun 2019 12:50:10 PM EDT, Key ID 24c6a8a7f4a80eb5
    Source RPM : python-2.7.5-80.el7_6.src.rpm
    Build Date : Thu 20 Jun 2019 04:56:00 PM EDT
    Build Host : x86-02.bsys.centos.org
    Relocations : (not relocatable)
    Packager : CentOS BuildSystem <http://bugs.centos.org>;
    Vendor : CentOS
    URL : http://www.python.org/
    Summary : Runtime libraries for Python
    Description :
    This package contains runtime libraries for use by Python:
    - the libpython dynamic library, for use by applications that embed Python as
    a scripting language, and by the main "python" executable
    - the Python standard library
    The reply is currently minimized Show
  • Accepted Answer

    Friday, October 25 2019, 08:38 PM - #Permalink
    Resolved
    0 votes
    There is a beta ISO in the testing repos on the mirror but that has a known bug and should NOT be used unless you are trying to help solve the bug.
    The reply is currently minimized Show
  • Accepted Answer

    Friday, October 25 2019, 08:18 PM - #Permalink
    Resolved
    0 votes
    Foeke van Veenendaal wrote:

    Downloaded a new iso with 7.7 but both installs get stuck on the updating part.
    manually updating does the same.


    Is there already a ClearOS Community 7.7 ISO?
    The reply is currently minimized Show
  • Accepted Answer

    Friday, October 25 2019, 08:06 PM - #Permalink
    Resolved
    0 votes
    If you perform the following steps from console (Ctrl+Alt+F3) or from ssh, does the problem go away?

    yum -y update
    reboot
    The reply is currently minimized Show
  • Accepted Answer

    Friday, October 25 2019, 07:57 PM - #Permalink
    Resolved
    0 votes
    Thanks for the report. Dave has a system exhibiting the same behaviour and is investigating.
    The reply is currently minimized Show
  • Accepted Answer

    Friday, October 25 2019, 07:35 PM - #Permalink
    Resolved
    0 votes
    I can't seem to install at all.
    Not using the iso I've downloaded in Juli and used successfully several times. Downloaded a new iso with 7.7 but both installs get stuck on the updating part.
    manually updating does the same.
    Error: Exception: global name 'wc_repos' is not defined
    It's in gateway mode and the external NIC is bridged (DNS lookup succeeded! etc).
    The console screenshot makes the most sense to you guys I think.
    The reply is currently minimized Show
  • Accepted Answer

    Mansoor
    Mansoor
    Offline
    Wednesday, October 23 2019, 09:15 AM - #Permalink
    Resolved
    0 votes
    Nick Howitt wrote:

    Check you are in Gateway mode with a different subnet on your LAN and WAN.

    The system is in stand-alone mode. I added a network card with two ports to use them for virtual machines (running Kimchi app / kvm). Clearos recognizes the network card's ports as LAN ports, but I've never configured them in clearos.
    The reply is currently minimized Show
  • Accepted Answer

    Wednesday, October 23 2019, 09:03 AM - #Permalink
    Resolved
    0 votes
    Check you are in Gateway mode with a different subnet on your LAN and WAN.
    The reply is currently minimized Show
  • Accepted Answer

    Mansoor
    Mansoor
    Offline
    Wednesday, October 23 2019, 08:35 AM - #Permalink
    Resolved
    0 votes
    Nick Howitt wrote:

    Can you reboot and select the previous kernel. Then from the command line do:
    lspci -k | grep Eth -A 3
    Do you know if, by any chance, you are using any of the kmod drivers I have previously supplied? If you are, apart from the kmod-r8168 and kmod-r8169, you will need to source the drivers directly from elrepo.org.

    Here is the output:
    00:1f.6 Ethernet controller: Intel Corporation Ethernet Connection (2) I219-LM (
    rev 31)
    Subsystem: Dell Device 06b7
    Kernel driver in use: e1000e
    Kernel modules: e1000e
    --
    05:00.0 Ethernet controller: Broadcom Inc. and subsidiaries NetXtreme II BCM5709
    Gigabit Ethernet (rev 20)
    Subsystem: Broadcom Inc. and subsidiaries Device 1917
    Kernel driver in use: bnx2
    Kernel modules: bnx2
    05:00.1 Ethernet controller: Broadcom Inc. and subsidiaries NetXtreme II BCM5709
    Gigabit Ethernet (rev 20)
    Subsystem: Broadcom Inc. and subsidiaries Device 1917
    Kernel driver in use: bnx2
    Kernel modules: bnx2

    I booted the system into the previous kernel and got the same error! It turned out that the system fails to connect the external network if there is a connected lan link! I had to disconnect lan ports in order for the external port to connect, then reconnect the lans! I don't know what causes this, but I'll open a thread in this forum in case I couldn't figure it out.

    Thank you.
    The reply is currently minimized Show
  • Accepted Answer

    Wednesday, October 23 2019, 07:07 AM - #Permalink
    Resolved
    0 votes
    @Christoph, a new version of app-base was released yesterday to fix your issue. If you could roll back your VM, you could try upgrading with that if you wanted.
    The reply is currently minimized Show
  • Accepted Answer

    Tuesday, October 22 2019, 03:30 PM - #Permalink
    Resolved
    0 votes
    Nick Howitt wrote:

    Hello Christoph, it looks like you've hit on a bug in the upgrade script which manipulates the repos. It should have removed "samba-*" from the "exclude" line but did not. The script fails as the string to remove is the last one in the exclude line. You can remove manually all three occurrences of "samba-*" from /etc/yum.repos.d/clearos-centos.repo or wait for us to push an update.

    [edit]
    You can remove the .rpmnew and .old files from here if you want.
    [/edit]


    Hi Nick,

    OK I tried it on my test VM and the update of the sama packages went well.
    Thank you very much for your quick support.

    Best regards
    Christoph
    The reply is currently minimized Show
  • Accepted Answer

    Tuesday, October 22 2019, 12:00 PM - #Permalink
    Resolved
    0 votes
    Hello people,

    Second machine upgrade went OK! used as a Samba DC. (Already re-joined a workstation)

    Cheers!
    The reply is currently minimized Show
  • Accepted Answer

    Tuesday, October 22 2019, 11:38 AM - #Permalink
    Resolved
    0 votes
    Hello Christoph, it looks like you've hit on a bug in the upgrade script which manipulates the repos. It should have removed "samba-*" from the "exclude" line but did not. The script fails as the string to remove is the last one in the exclude line. You can remove manually all three occurrences of "samba-*" from /etc/yum.repos.d/clearos-centos.repo or wait for us to push an update.

    [edit]
    You can remove the .rpmnew and .old files from here if you want.
    [/edit]
    Like
    1
    The reply is currently minimized Show
  • Accepted Answer

    Tuesday, October 22 2019, 05:05 AM - #Permalink
    Resolved
    0 votes
    Nick Howitt wrote:

    That is really strange as I can see the package but you can't. I wonder if it is being excluded anywhere. Can you do an:
    egrep '(samba|client)' /etc/yum.repos.d/*
    Do you have any manual excludes in yum?


    Hi Nick,

    good point:
    [root@customer-gw ~]# egrep '(samba|client)' /etc/yum.repos.d/*
    /etc/yum.repos.d/clearos-centos.repo:exclude=shim-aa64-* shim-x64-* shim-ia32-* cloud-init-* shim-0* mokutil-* grub2-* centos-release centos-logos anaconda-* arpwatch cyrus-imapd-* debugmode initscripts iptables-* openldap-* ppp-* rp-pppoe samba-*
    /etc/yum.repos.d/clearos-centos.repo:exclude=shim-aa64-* shim-x64-* shim-ia32-* cloud-init-* shim-0* mokutil-* grub2-* centos-release centos-logos anaconda-* arpwatch cyrus-imapd-* debugmode initscripts iptables-* openldap-* ppp-* rp-pppoe samba-*
    /etc/yum.repos.d/clearos-centos.repo:exclude=shim-aa64-* shim-x64-* shim-ia32-* cloud-init-* shim-0* mokutil-* grub2-* centos-release centos-logos anaconda-* arpwatch cyrus-imapd-* debugmode initscripts iptables-* openldap-* ppp-* rp-pppoe samba-*
    /etc/yum.repos.d/clearos-centos.repo.rpmnew:exclude=centos-release centos-logos anaconda-* arpwatch cloud-init-* cyrus-imapd-* debugmode grub2-* initscripts iptables-* mokutil-* openldap-* ppp-* rp-pppoe samba-* shim-ia32-* shim-x64-* shim-aa64-*
    /etc/yum.repos.d/clearos-centos.repo.rpmnew:exclude=centos-release centos-logos anaconda-* arpwatch cloud-init-* cyrus-imapd-* debugmode grub2-* initscripts iptables-* mokutil-* openldap-* ppp-* rp-pppoe samba-* shim-ia32-* shim-x64-* shim-aa64-*
    /etc/yum.repos.d/clearos-epel.repo:exclude=amavisd-* clamav-* clamd-* libc-client phpMyAdmin pptpd-* tnef-* uw-imap-* roundcubemail-*
    /etc/yum.repos.d/clearos-epel.repo.old:exclude=roundcubemail-* amavisd-new amavisd-new-snmp amavisd-new-snmp-zeromq amavisd-new-zeromq clamav clamav-data clamav-data-empty clamav-devel clamav-filesystem clamav-lib clamav-milter clamav-milter-systemd clamav-milter-sysvinit clamav-scanner clamav-scanner-systemd clamav-scanner-sysvinit clamav-server clamav-server-systemd clamav-server-sysvinit clamav-update libc-client phpMyAdmin pptpd pptpd-sysvinit tnef tnef-dolphin tnef-nautilus uw-imap uw-imap-devel uw-imap-static uw-imap-utils
    /etc/yum.repos.d/clearos-epel.repo.old:exclude=roundcubemail-* amavisd-new amavisd-new-snmp amavisd-new-snmp-zeromq amavisd-new-zeromq clamav clamav-data clamav-data-empty clamav-devel clamav-filesystem clamav-lib clamav-milter clamav-milter-systemd clamav-milter-sysvinit clamav-scanner clamav-scanner-systemd clamav-scanner-sysvinit clamav-server clamav-server-systemd clamav-server-sysvinit clamav-update libc-client phpMyAdmin pptpd pptpd-sysvinit tnef tnef-dolphin tnef-nautilus uw-imap uw-imap-devel uw-imap-static uw-imap-utils
    /etc/yum.repos.d/clearos-epel.repo.rpmnew:exclude=amavisd-* clamav-* clamd-* libc-client phpMyAdmin pptpd-* tnef-* uw-imap-* roundcubemail-*
    /etc/yum.repos.d/clearos-upstream.repo.rpmsave:exclude=samba-* centos-release centos-logos anaconda anaconda-core anaconda-dracut anaconda-gui anaconda-tui anaconda-user-help anaconda-widgets anaconda-widgets-devel arpwatch cyrus-imapd cyrus-imapd-devel cyrus-imapd-utils debugmode dnsmasq dnsmasq-utils initscripts iptables iptables-devel iptables-services iptables-utils kernel kernel-abi-whitelists kernel-debug kernel-debug-devel kernel-devel kernel-doc kernel-headers kernel-tools kernel-tools-libs kernel-tools-libs-devel libdb4 libdb4-cxx libdb4-cxx-devel libdb4-devel libdb4-devel-static libdb4-doc libdb4-java libdb4-java-devel libdb4-tcl libdb4-tcl-devel libdb4-utils libsmbclient libsmbclient-devel libwbclient libwbclient-devel openldap openldap-clients openldap-devel openldap-servers openldap-servers-sql perf ppp ppp-devel python-perf rp-pppoe samba samba-client samba-common samba-dc samba-dc-libs samba-devel samba-libs samba-pidl samba-python samba-test samba-test-devel samba-test-libs samba-vfs-glusterfs samba-winbind samba-winbind-clients samba-winbind-krb5-locator samba-winbind-modules
    /etc/yum.repos.d/clearos-upstream.repo.rpmsave:exclude=samba-* centos-release centos-logos anaconda anaconda-core anaconda-dracut anaconda-gui anaconda-tui anaconda-user-help anaconda-widgets anaconda-widgets-devel arpwatch cyrus-imapd cyrus-imapd-devel cyrus-imapd-utils debugmode dnsmasq dnsmasq-utils initscripts iptables iptables-devel iptables-services iptables-utils kernel kernel-abi-whitelists kernel-debug kernel-debug-devel kernel-devel kernel-doc kernel-headers kernel-tools kernel-tools-libs kernel-tools-libs-devel libdb4 libdb4-cxx libdb4-cxx-devel libdb4-devel libdb4-devel-static libdb4-doc libdb4-java libdb4-java-devel libdb4-tcl libdb4-tcl-devel libdb4-utils libsmbclient libsmbclient-devel libwbclient libwbclient-devel openldap openldap-clients openldap-devel openldap-servers openldap-servers-sql perf ppp ppp-devel python-perf rp-pppoe samba samba-client samba-common samba-dc samba-dc-libs samba-devel samba-libs samba-pidl samba-python samba-test samba-test-devel samba-test-libs samba-vfs-glusterfs samba-winbind samba-winbind-clients samba-winbind-krb5-locator samba-winbind-modules
    /etc/yum.repos.d/clearos-upstream.repo.rpmsave:exclude=samba-* centos-release centos-logos anaconda anaconda-core anaconda-dracut anaconda-gui anaconda-tui anaconda-user-help anaconda-widgets anaconda-widgets-devel arpwatch cyrus-imapd cyrus-imapd-devel cyrus-imapd-utils debugmode dnsmasq dnsmasq-utils initscripts iptables iptables-devel iptables-services iptables-utils kernel kernel-abi-whitelists kernel-debug kernel-debug-devel kernel-devel kernel-doc kernel-headers kernel-tools kernel-tools-libs kernel-tools-libs-devel libdb4 libdb4-cxx libdb4-cxx-devel libdb4-devel libdb4-devel-static libdb4-doc libdb4-java libdb4-java-devel libdb4-tcl libdb4-tcl-devel libdb4-utils libsmbclient libsmbclient-devel libwbclient libwbclient-devel openldap openldap-clients openldap-devel openldap-servers openldap-servers-sql perf ppp ppp-devel python-perf rp-pppoe samba samba-client samba-common samba-dc samba-dc-libs samba-devel samba-libs samba-pidl samba-python samba-test samba-test-devel samba-test-libs samba-vfs-glusterfs samba-winbind samba-winbind-clients samba-winbind-krb5-locator samba-winbind-modules
    /etc/yum.repos.d/epel-unverified.repo:exclude=amavisd-new-* clamav-* clamd-* libc-client phpMyAdmin pptpd-* tnef-* uw-imap-* roundcubemail-*
    /etc/yum.repos.d/epel-unverified.repo:exclude=amavisd-new-* clamav-* clamd-* libc-client phpMyAdmin pptpd-* tnef-* uw-imap-* roundcubemail-*


    Actually none of these files have been configured by me. This is one of my test VMs but actually I see the same issues also on other machines.

    Best regards
    Christoph
    The reply is currently minimized Show
  • Accepted Answer

    Monday, October 21 2019, 04:49 PM - #Permalink
    Resolved
    0 votes
    That is really strange as I can see the package but you can't. I wonder if it is being excluded anywhere. Can you do an:
    egrep '(samba|client)' /etc/yum.repos.d/*
    Do you have any manual excludes in yum?
    The reply is currently minimized Show
  • Accepted Answer

    Monday, October 21 2019, 04:16 PM - #Permalink
    Resolved
    0 votes
    Nick Howitt wrote:

    I hate reading that output in English. It is even harder in German. To me it looks like it is not trying to update samba-client at all which is weird. Please correct me if I've missed it.

    What is the output to:
    yum list samba-client --show-duplicates


    Hi Nick,

    sorry for the German in the output. ;)
    Your understanding is correct. It is complaining about samba.

    [root@customer-gw ~]# yum list samba-client --show-duplicates
    Geladene Plugins: clearcenter-marketplace, fastestmirror
    ClearCenter Marketplace: fetching repositories...
    Loading mirror speeds from cached hostfile
    * clearos: mirror1-frankfurt.clearos.com
    * clearos-centos: download3.clearsdn.com
    * clearos-centos-sclo-rh: download3.clearsdn.com
    * clearos-centos-updates: download3.clearsdn.com
    * clearos-contribs: mirror1-frankfurt.clearos.com
    * clearos-fast-updates: download3.clearsdn.com
    * clearos-infra: mirror1-frankfurt.clearos.com
    * clearos-paid: mirror1-frankfurt.clearos.com
    * clearos-updates: mirror1-frankfurt.clearos.com
    * private-clearcenter-dyndns: download2.clearsdn.com:80
    Installed Pakets
    samba-client.x86_64 4.8.3-4.5.v7 @clearos-updates
    Available Pakets
    samba-client.x86_64 4.8.3-4.5.v7 clearos-updates
    The reply is currently minimized Show
  • Accepted Answer

    Monday, October 21 2019, 04:00 PM - #Permalink
    Resolved
    0 votes
    I hate reading that output in English. It is even harder in German. To me it looks like it is not trying to update samba-client at all which is weird. Please correct me if I've missed it.

    What is the output to:
    yum list samba-client --show-duplicates
    The reply is currently minimized Show
  • Accepted Answer

    Monday, October 21 2019, 03:31 PM - #Permalink
    Resolved
    0 votes
    Hi guys,

    I have issues to get all the updates installed:
    [root@customer-gw ~]# cat /etc/clearos-release 
    ClearOS release 7.7.1 (Final)
    [root@customer-gw ~]# uname -a
    Linux customer-gw 3.10.0-1062.1.2.el7.x86_64 #1 SMP Mon Sep 30 14:19:46 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux


    This is what I got while running yum update:
    [root@customer-gw ~]# yum clean all
    Geladene Plugins: clearcenter-marketplace, fastestmirror
    ClearCenter Marketplace: fetching repositories...
    Quellen werden aufgeräumt:clearos clearos-centos clearos-centos-sclo-rh clearos-centos-updates clearos-contribs clearos-fast-updates clearos-infra clearos-paid clearos-updates private-clearcenter-dyndns
    Cleaning up list of fastest mirrors
    Other repos take up 360 k of disk space (use --verbose for details)
    [root@customer-gw ~]# yum update
    Geladene Plugins: clearcenter-marketplace, fastestmirror
    ClearCenter Marketplace: fetching repositories...
    Determining fastest mirrors
    * clearos: mirror1-frankfurt.clearos.com
    * clearos-centos: download1.clearsdn.com
    * clearos-centos-sclo-rh: download1.clearsdn.com
    * clearos-centos-updates: download1.clearsdn.com
    * clearos-contribs: mirror1-frankfurt.clearos.com
    * clearos-fast-updates: download1.clearsdn.com
    * clearos-infra: mirror1-frankfurt.clearos.com
    * clearos-paid: mirror1-frankfurt.clearos.com
    * clearos-updates: mirror1-frankfurt.clearos.com
    * private-clearcenter-dyndns: download1.clearsdn.com:80
    clearos | 3.7 kB 00:00:00
    clearos-centos | 3.6 kB 00:00:00
    clearos-centos-sclo-rh | 3.0 kB 00:00:00
    clearos-centos-updates | 2.9 kB 00:00:00
    clearos-contribs | 3.5 kB 00:00:00
    clearos-fast-updates | 3.0 kB 00:00:00
    clearos-infra | 3.5 kB 00:00:00
    clearos-updates | 3.5 kB 00:00:00
    (1/13): clearos/7/group_gz | 1.6 kB 00:00:00
    (2/13): clearos/7/primary_db | 759 kB 00:00:00
    (3/13): clearos-contribs/7/updateinfo | 96 B 00:00:00
    (4/13): clearos-contribs/7/primary_db | 73 kB 00:00:00
    (5/13): clearos-centos/x86_64/group_gz | 165 kB 00:00:01
    (6/13): clearos-infra/7/updateinfo | 96 B 00:00:00
    (7/13): clearos-infra/7/primary_db | 11 kB 00:00:00
    (8/13): clearos-updates/7/updateinfo | 96 B 00:00:00
    (9/13): clearos-fast-updates/x86_64/primary_db | 10 kB 00:00:00
    (10/13): clearos-updates/7/primary_db | 888 kB 00:00:00
    (11/13): clearos-centos-updates/x86_64/primary_db | 1.8 MB 00:00:05
    (12/13): clearos-centos-sclo-rh/x86_64/primary_db | 3.6 MB 00:00:07
    (13/13): clearos-centos/x86_64/primary_db | 6.0 MB 00:00:10
    clearos-paid | 3.5 kB 00:00:00
    clearos-paid/updateinfo | 96 B 00:00:00
    clearos-paid/primary_db | 21 kB 00:00:00
    private-clearcenter-dyndns | 3.0 kB 00:00:00
    private-clearcenter-dyndns/primary_db | 2.6 kB 00:00:00
    Abhängigkeiten werden aufgelöst
    --> Transaktionsprüfung wird ausgeführt
    ---> Paket libsmbclient.x86_64 0:4.8.3-4.5.v7 markiert, um aktualisiert zu werden
    --> Abhängigkeit libsmbclient = 4.8.3-4.5.v7 wird für Paket samba-client-4.8.3-4.5.v7.x86_64 verarbeitet
    ---> Paket libsmbclient.x86_64 0:4.9.1-6.el7 markiert, um eine Aktualisierung zu werden
    --> Abhängigkeit samba-common = 4.9.1-6.el7 wird für Paket libsmbclient-4.9.1-6.el7.x86_64 verarbeitet
    --> Abhängigkeit samba-common = 4.9.1-6.el7 wird für Paket libsmbclient-4.9.1-6.el7.x86_64 verarbeitet
    --> Abhängigkeit samba-client-libs = 4.9.1-6.el7 wird für Paket libsmbclient-4.9.1-6.el7.x86_64 verarbeitet
    --> Abhängigkeit libutil-cmdline-samba4.so(SAMBA_4.9.1)(64bit) wird für Paket libsmbclient-4.9.1-6.el7.x86_64 verarbeitet
    --> Abhängigkeit libsecrets3-samba4.so(SAMBA_4.9.1)(64bit) wird für Paket libsmbclient-4.9.1-6.el7.x86_64 verarbeitet
    --> Abhängigkeit libsamba3-util-samba4.so(SAMBA_4.9.1)(64bit) wird für Paket libsmbclient-4.9.1-6.el7.x86_64 verarbeitet
    --> Abhängigkeit libsamba-security-samba4.so(SAMBA_4.9.1)(64bit) wird für Paket libsmbclient-4.9.1-6.el7.x86_64 verarbeitet
    --> Abhängigkeit libsamba-debug-samba4.so(SAMBA_4.9.1)(64bit) wird für Paket libsmbclient-4.9.1-6.el7.x86_64 verarbeitet
    --> Abhängigkeit libreplace-samba4.so(SAMBA_4.9.1)(64bit) wird für Paket libsmbclient-4.9.1-6.el7.x86_64 verarbeitet
    --> Abhängigkeit libmsrpc3-samba4.so(SAMBA_4.9.1)(64bit) wird für Paket libsmbclient-4.9.1-6.el7.x86_64 verarbeitet
    --> Abhängigkeit liblibsmb-samba4.so(SAMBA_4.9.1)(64bit) wird für Paket libsmbclient-4.9.1-6.el7.x86_64 verarbeitet
    --> Abhängigkeit liblibcli-lsa3-samba4.so(SAMBA_4.9.1)(64bit) wird für Paket libsmbclient-4.9.1-6.el7.x86_64 verarbeitet
    --> Abhängigkeit libgse-samba4.so(SAMBA_4.9.1)(64bit) wird für Paket libsmbclient-4.9.1-6.el7.x86_64 verarbeitet
    --> Abhängigkeit libdcerpc-samba-samba4.so(SAMBA_4.9.1)(64bit) wird für Paket libsmbclient-4.9.1-6.el7.x86_64 verarbeitet
    --> Abhängigkeit libcli-smb-common-samba4.so(SAMBA_4.9.1)(64bit) wird für Paket libsmbclient-4.9.1-6.el7.x86_64 verarbeitet
    ---> Paket libwbclient.x86_64 0:4.8.3-4.5.v7 markiert, um aktualisiert zu werden
    --> Abhängigkeit libwbclient = 4.8.3-4.5.v7 wird für Paket samba-client-libs-4.8.3-4.5.v7.x86_64 verarbeitet
    --> Abhängigkeit libwbclient = 4.8.3-4.5.v7 wird für Paket samba-winbind-modules-4.8.3-4.5.v7.x86_64 verarbeitet
    --> Abhängigkeit libwbclient = 4.8.3-4.5.v7 wird für Paket samba-common-tools-4.8.3-4.5.v7.x86_64 verarbeitet
    --> Abhängigkeit libwbclient = 4.8.3-4.5.v7 wird für Paket samba-winbind-clients-4.8.3-4.5.v7.x86_64 verarbeitet
    --> Abhängigkeit libwbclient = 4.8.3-4.5.v7 wird für Paket samba-libs-4.8.3-4.5.v7.x86_64 verarbeitet
    --> Abhängigkeit libwbclient = 4.8.3-4.5.v7 wird für Paket samba-4.8.3-4.5.v7.x86_64 verarbeitet
    --> Abhängigkeit libwbclient = 4.8.3-4.5.v7 wird für Paket samba-common-libs-4.8.3-4.5.v7.x86_64 verarbeitet
    --> Abhängigkeit libwinbind-client-samba4.so(SAMBA_4.8.3)(64bit) wird für Paket samba-winbind-modules-4.8.3-4.5.v7.x86_64 verarbeitet
    --> Abhängigkeit libwinbind-client-samba4.so(SAMBA_4.8.3)(64bit) wird für Paket samba-winbind-clients-4.8.3-4.5.v7.x86_64 verarbeitet
    ---> Paket libwbclient.x86_64 0:4.9.1-6.el7 markiert, um eine Aktualisierung zu werden
    --> Abhängigkeit samba-client-libs = 4.9.1-6.el7 wird für Paket libwbclient-4.9.1-6.el7.x86_64 verarbeitet
    --> Abhängigkeit libreplace-samba4.so(SAMBA_4.9.1)(64bit) wird für Paket libwbclient-4.9.1-6.el7.x86_64 verarbeitet
    --> Abhängigkeitsauflösung beendet
    Fehler: Paket: libsmbclient-4.9.1-6.el7.x86_64 (clearos-centos)
    Benötigt: liblibcli-lsa3-samba4.so(SAMBA_4.9.1)(64bit)
    Fehler: Paket: libsmbclient-4.9.1-6.el7.x86_64 (clearos-centos)
    Benötigt: libsamba-security-samba4.so(SAMBA_4.9.1)(64bit)
    Fehler: Paket: samba-client-4.8.3-4.5.v7.x86_64 (@clearos-updates)
    Benötigt: libsmbclient = 4.8.3-4.5.v7
    Entfernen: libsmbclient-4.8.3-4.5.v7.x86_64 (@clearos-updates)
    libsmbclient = 4.8.3-4.5.v7
    Aktualisiert durch: libsmbclient-4.9.1-6.el7.x86_64 (clearos-centos)
    libsmbclient = 4.9.1-6.el7
    Fehler: Paket: libsmbclient-4.9.1-6.el7.x86_64 (clearos-centos)
    Benötigt: libreplace-samba4.so(SAMBA_4.9.1)(64bit)
    Fehler: Paket: samba-libs-4.8.3-4.5.v7.x86_64 (@clearos-updates)
    Benötigt: libwbclient = 4.8.3-4.5.v7
    Entfernen: libwbclient-4.8.3-4.5.v7.x86_64 (@clearos-updates)
    libwbclient = 4.8.3-4.5.v7
    Aktualisiert durch: libwbclient-4.9.1-6.el7.x86_64 (clearos-centos)
    libwbclient = 4.9.1-6.el7
    Fehler: Paket: samba-4.8.3-4.5.v7.x86_64 (@clearos-updates)
    Benötigt: libwbclient = 4.8.3-4.5.v7
    Entfernen: libwbclient-4.8.3-4.5.v7.x86_64 (@clearos-updates)
    libwbclient = 4.8.3-4.5.v7
    Aktualisiert durch: libwbclient-4.9.1-6.el7.x86_64 (clearos-centos)
    libwbclient = 4.9.1-6.el7
    Fehler: Paket: libsmbclient-4.9.1-6.el7.x86_64 (clearos-centos)
    Benötigt: libutil-cmdline-samba4.so(SAMBA_4.9.1)(64bit)
    Fehler: Paket: libsmbclient-4.9.1-6.el7.x86_64 (clearos-centos)
    Benötigt: liblibsmb-samba4.so(SAMBA_4.9.1)(64bit)
    Fehler: Paket: libsmbclient-4.9.1-6.el7.x86_64 (clearos-centos)
    Benötigt: libmsrpc3-samba4.so(SAMBA_4.9.1)(64bit)
    Fehler: Paket: libsmbclient-4.9.1-6.el7.x86_64 (clearos-centos)
    Benötigt: libgse-samba4.so(SAMBA_4.9.1)(64bit)
    Fehler: Paket: samba-common-tools-4.8.3-4.5.v7.x86_64 (@clearos-updates)
    Benötigt: libwbclient = 4.8.3-4.5.v7
    Entfernen: libwbclient-4.8.3-4.5.v7.x86_64 (@clearos-updates)
    libwbclient = 4.8.3-4.5.v7
    Aktualisiert durch: libwbclient-4.9.1-6.el7.x86_64 (clearos-centos)
    libwbclient = 4.9.1-6.el7
    Fehler: Paket: samba-winbind-modules-4.8.3-4.5.v7.x86_64 (@clearos-updates)
    Benötigt: libwinbind-client-samba4.so(SAMBA_4.8.3)(64bit)
    Entfernen: libwbclient-4.8.3-4.5.v7.x86_64 (@clearos-updates)
    libwinbind-client-samba4.so(SAMBA_4.8.3)(64bit)
    Aktualisiert durch: libwbclient-4.9.1-6.el7.x86_64 (clearos-centos)
    ~libwinbind-client-samba4.so(SAMBA_4.9.1)(64bit)
    Fehler: Paket: samba-winbind-clients-4.8.3-4.5.v7.x86_64 (@clearos-updates)
    Benötigt: libwinbind-client-samba4.so(SAMBA_4.8.3)(64bit)
    Entfernen: libwbclient-4.8.3-4.5.v7.x86_64 (@clearos-updates)
    libwinbind-client-samba4.so(SAMBA_4.8.3)(64bit)
    Aktualisiert durch: libwbclient-4.9.1-6.el7.x86_64 (clearos-centos)
    ~libwinbind-client-samba4.so(SAMBA_4.9.1)(64bit)
    Fehler: Paket: samba-client-libs-4.8.3-4.5.v7.x86_64 (@clearos-updates)
    Benötigt: libwbclient = 4.8.3-4.5.v7
    Entfernen: libwbclient-4.8.3-4.5.v7.x86_64 (@clearos-updates)
    libwbclient = 4.8.3-4.5.v7
    Aktualisiert durch: libwbclient-4.9.1-6.el7.x86_64 (clearos-centos)
    libwbclient = 4.9.1-6.el7
    Fehler: Paket: libsmbclient-4.9.1-6.el7.x86_64 (clearos-centos)
    Benötigt: libcli-smb-common-samba4.so(SAMBA_4.9.1)(64bit)
    Fehler: Paket: samba-winbind-modules-4.8.3-4.5.v7.x86_64 (@clearos-updates)
    Benötigt: libwbclient = 4.8.3-4.5.v7
    Entfernen: libwbclient-4.8.3-4.5.v7.x86_64 (@clearos-updates)
    libwbclient = 4.8.3-4.5.v7
    Aktualisiert durch: libwbclient-4.9.1-6.el7.x86_64 (clearos-centos)
    libwbclient = 4.9.1-6.el7
    Fehler: Paket: libwbclient-4.9.1-6.el7.x86_64 (clearos-centos)
    Benötigt: samba-client-libs = 4.9.1-6.el7
    Installiert: samba-client-libs-4.8.3-4.5.v7.x86_64 (@clearos-updates)
    samba-client-libs = 4.8.3-4.5.v7
    Fehler: Paket: samba-common-libs-4.8.3-4.5.v7.x86_64 (@clearos-updates)
    Benötigt: libwbclient = 4.8.3-4.5.v7
    Entfernen: libwbclient-4.8.3-4.5.v7.x86_64 (@clearos-updates)
    libwbclient = 4.8.3-4.5.v7
    Aktualisiert durch: libwbclient-4.9.1-6.el7.x86_64 (clearos-centos)
    libwbclient = 4.9.1-6.el7
    Fehler: Paket: libwbclient-4.9.1-6.el7.x86_64 (clearos-centos)
    Benötigt: libreplace-samba4.so(SAMBA_4.9.1)(64bit)
    Fehler: Paket: libsmbclient-4.9.1-6.el7.x86_64 (clearos-centos)
    Benötigt: libdcerpc-samba-samba4.so(SAMBA_4.9.1)(64bit)
    Fehler: Paket: libsmbclient-4.9.1-6.el7.x86_64 (clearos-centos)
    Benötigt: samba-client-libs = 4.9.1-6.el7
    Installiert: samba-client-libs-4.8.3-4.5.v7.x86_64 (@clearos-updates)
    samba-client-libs = 4.8.3-4.5.v7
    Fehler: Paket: libsmbclient-4.9.1-6.el7.x86_64 (clearos-centos)
    Benötigt: libsecrets3-samba4.so(SAMBA_4.9.1)(64bit)
    Fehler: Paket: libsmbclient-4.9.1-6.el7.x86_64 (clearos-centos)
    Benötigt: libsamba3-util-samba4.so(SAMBA_4.9.1)(64bit)
    Fehler: Paket: libsmbclient-4.9.1-6.el7.x86_64 (clearos-centos)
    Benötigt: libsamba-debug-samba4.so(SAMBA_4.9.1)(64bit)
    Fehler: Paket: libsmbclient-4.9.1-6.el7.x86_64 (clearos-centos)
    Benötigt: samba-common = 4.9.1-6.el7
    Installiert: samba-common-4.8.3-4.5.v7.noarch (@clearos-updates)
    samba-common = 4.8.3-4.5.v7
    Fehler: Paket: samba-winbind-clients-4.8.3-4.5.v7.x86_64 (@clearos-updates)
    Benötigt: libwbclient = 4.8.3-4.5.v7
    Entfernen: libwbclient-4.8.3-4.5.v7.x86_64 (@clearos-updates)
    libwbclient = 4.8.3-4.5.v7
    Aktualisiert durch: libwbclient-4.9.1-6.el7.x86_64 (clearos-centos)
    libwbclient = 4.9.1-6.el7
    Sie können versuchen, mit --skip-broken das Problem zu umgehen.
    Sie könnten Folgendes versuchen: rpm -Va --nofiles --nodigest


    Best regards
    Timmi
    The reply is currently minimized Show
  • Accepted Answer

    Monday, October 21 2019, 02:27 PM - #Permalink
    Resolved
    0 votes
    Tux Brothers GFORCE1 wrote:

    Hello,
    Upgraded 1 machine succesfully! (used as firewall / smtp server)


    Thanks for sharing.
    The reply is currently minimized Show
  • Accepted Answer

    Monday, October 21 2019, 10:15 AM - #Permalink
    Resolved
    0 votes
    Hello,
    Upgraded 1 machine succesfully! (used as firewall / smtp server)
    The reply is currently minimized Show
  • Accepted Answer

    Sunday, October 20 2019, 08:52 PM - #Permalink
    Resolved
    0 votes
    Can you reboot and select the previous kernel. Then from the command line do:
    lspci -k | grep Eth -A 3
    Do you know if, by any chance, you are using any of the kmod drivers I have previously supplied? If you are, apart from the kmod-r8168 and kmod-r8169, you will need to source the drivers directly from elrepo.org.
    The reply is currently minimized Show
  • Accepted Answer

    Mansoor
    Mansoor
    Offline
    Sunday, October 20 2019, 07:45 PM - #Permalink
    Resolved
    0 votes
    I rebooted my server earlier today after updating to 7.7.1 (kernel 3.10.0-1062.1.2.el7.x86_64). The server failed to connect to the network. I rebooted it again and it failed to contact again. I had to unplug the network cable and reconnect it in order to make system recognizes the correct connection speed (it was showing 10Mb/s instead of 1000Mb/s) and other values.

    I haven’t rebooted the system after that and don’t know whether it would unrecognize the link again or not after reboot.
    The reply is currently minimized Show
Your Reply